classdef Oscilloscope < Equipment & dynamicprops
    %OSCILLOSCOPE Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        nchannels
        horizontalPosition
        ch1
        ch2
        ch3
        ch4
    end
    
    methods
        function obj = Oscilloscope(ipAddress,port,nchannels)
            %OSCILLOSCOPE Construct an instance of this class
            %   Detailed explanation goes here
            obj@Equipment(ipAddress,port,-1);
            for i = 1:nchannels
                obj.(['ch',num2str(i)]) = Channel(obj,i);
            end
        end
        
        function outputArg = method1(obj,inputArg)
            %METHOD1 Summary of this method goes here
            %   Detailed explanation goes here
            outputArg = obj.Property1 + inputArg;
        end
    end
end





